### Method

# Gck Builder init_full

#### Declaration [src]

    void
    gck_builder_init_full (
      GckBuilder* builder,
      GckBuilderFlags flags
    )

#### Description [src]

Initialize a stack allocated builder, with the appropriate flags.

If the `GCK_BUILDER_SECURE_MEMORY` flag is specified then non-pageable memory will be used for the various values of the attributes in the builder.

#### Parameters

`flags` | `GckBuilderFlags`
| The flags for the new builder.